| Home | Libraries | People | FAQ | More

## Function template is_increasing

boost::algorithm::is_increasing

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator>
      BOOST_CXX14_CONSTEXPR bool
      is_increasing(ForwardIterator first, ForwardIterator last);

## Description

– Range based versions of the C++11 functions

| Note
This function will return true for sequences that contain items that compare equal. If that is not what you intended, you should use is_strictly_increasing instead.

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence

Returns: | true if the entire sequence is increasing; i.e, each item is greater than or equal to the previous one.